<form class="{{cssClass}}" autocomplete="off">

    <!-- UPPER SECTION -->
    <section class="sheet-upper">

        <!-- HEADER -->
        <header class="sheet-header">
            <h1 class="charname">
                <input name="name" type="text" value="{{actor.name}}" placeholder="Character Name"/>
            </h1>

            <div class="charlevel">
                <div class="level {{#if disableExperience}}noxp{{/if}}">
                    <label>Level </label>
                    <input name="data.details.level.value" type="text" value="{{data.details.level.value}}"
                           data-dtype="Number" placeholder="1"/>
                </div>
                {{#unless disableExperience}}
                    <div class="xpbar">
                        <span class="bar" style="width: {{data.details.xp.pct}}%"></span>
                    </div>
                    <div class="experience">
                        <input name="data.details.xp.value" type="text" value="{{data.details.xp.value}}"
                               data-dtype="Number" placeholder="0"/>
                        <span class="max" data-wpad="14"> / {{data.details.xp.max}}</span>
                    </div>
                {{/unless}}
            </div>
        </header>

        <!-- PROFILE ARTWORK -->
        <img class="sheet-profile sidebar" src="{{actor.img}}" title="{{actor.name}}" height="220" width="220" data-edit="img"/>

        <!-- SHOWCASE -->
        <section class="sheet-showcase content">

            <!-- DETAILS -->
            <ul class="details">
                <li class="character-detail">
                    <input name="data.details.race.value" type="text" value="{{data.details.race.value}}" placeholder="Race"/>
                </li>
                <li class="character-detail">
                    <input name="data.details.background.value" type="text" value="{{data.details.background.value}}" placeholder="Background"/>
                </li>
                <li class="character-detail">
                    <input name="data.details.alignment.value" type="text" value="{{data.details.alignment.value}}" placeholder="Alignment"/>
                </li>
            </ul>

            <!-- ATTRIBUTES -->
            {{> public/systems/dnd5e/templates/actors/actor-attributes.html}}

            <!-- STATUS EFFECTS -->
            <div class="statuses">
                <div class="status death">
                    <h4>Death Saves</h4>
                    <div class="status-value">
                        <i class="fas fa-check"></i>
                        <input type="text" name="data.attributes.death.success" data-dtype="Number" placeholder="0"
                               value="{{data.attributes.death.success}}"/>
                        <i class="fas fa-times"></i>
                        <input type="text" name="data.attributes.death.failure" data-dtype="Number" placeholder="0"
                               value="{{data.attributes.death.failure}}"/>
                    </div>
                </div>
                <div class="status exhaustion">
                    <h4>Exhaustion</h4>
                    <div class="status-value">
                        <input type="text" name="data.attributes.exhaustion.value" data-dtype="Number" placeholder="0"
                               value="{{data.attributes.exhaustion.value}}" />
                    </div>
                </div>
                <div class="status inspiration">
                    <h4>Inspiration</h4>
                    <div class="status-value">
                        <input type="checkbox" name="data.attributes.inspiration.value" data-dtype="Boolean"
                               {{checked data.attributes.inspiration.value}}/>
                    </div>
                </div>
            </div>
        </section>
    </section>

    <!-- SHEET NAVIGATION -->
    <nav class="sheet-navigation">
        <nav class="sheet-tabs tabs sidebar" data-group="sidebar">
            <a class="item active" data-tab="abilities">Abilities</a>
            <a class="item" data-tab="skills">Skills</a>
            <a class="item" data-tab="traits">Traits</a>
        </nav>
        <nav class="sheet-tabs tabs content" data-group="primary">
            <a class="item" data-tab="inventory">Inventory</a>
            <a class="item" data-tab="spellbook">Spellbook</a>
            <a class="item" data-tab="feats">Features</a>
            <a class="item active" data-tab="biography">Biography</a>
        </nav>
    </nav>

    <!-- LOWER SECTION -->
    <section class="sheet-lower">

        <!-- SIDEBAR -->
        <section class="sheet-sidebar sidebar">

            <!-- ABILITY SCORES -->
            <div class="tab abilities" data-group="sidebar" data-tab="abilities">
                {{> public/systems/dnd5e/templates/actors/actor-abilities.html}}
                {{> public/systems/dnd5e/templates/actors/actor-classes.html}}
            </div>

            <!-- SKILLS -->
            <div class="tab skills" data-group="sidebar" data-tab="skills">
                {{> public/systems/dnd5e/templates/actors/actor-skills.html}}
            </div>

            <!-- TRAITS -->
            <div class="tab traits" data-group="sidebar" data-tab="traits">
                {{> public/systems/dnd5e/templates/actors/actor-traits.html}}
            </div>
        </section>

        <!-- BODY -->
        <section class="sheet-content content">

            <!-- INVENTORY -->
            <div class="tab inventory" data-group="primary" data-tab="inventory">
                <ol class="currency">
                    {{#each data.currency as |c i|}}
                    <li class="denomination {{i}}">
                        <label>{{c.label}}:</label>
                        <input type="text" name="data.currency.{{i}}.value" value="{{c.value}}" data-dtype="{{c.type}}"/>
                    </li>
                    {{/each}}
                </ol>

                <ol class="inventory-list directory-list">
                {{#each actor.inventory as |section sid|}}
                    <li class="item flexrow inventory-header">
                        <h3 class="item-name flexrow">{{section.label}}</h3>
                        <span class="item-quantity">Qty.</span>
                        <span class="item-weight">Wt.</span>
                        {{#if ../owner}}
                        <div class="item-controls">
                            <a class="item-control item-create" title="Create Item" data-type="{{sid}}"><i class="fas fa-plus"></i> Add</a>
                        </div>
                        {{/if}}
                    </li>
                    {{#each section.items as |item iid|}}
                    <li class="item flexrow" data-item-id="{{item.id}}">
                        <div class="item-name flexrow rollable">
                            <div class="item-image" style="background-image: url({{item.img}})"></div>
                            <h4>
                                {{item.name}}
                                {{#if item.data.attuned.value}}<i class="prepared fas fa-haykal"></i>{{/if}}
                            </h4>
                            {{#if item.hasCharges}}
                            <span class="item-charges">({{item.data.charges.value}}/{{item.data.charges.max}})</span>
                            {{/if}}
                        </div>
                        <span class="item-quantity">{{item.data.quantity.value}}</span>
                        <span class="item-weight">{{item.totalWeight}}</span>

                        {{#if ../../owner}}
                        <div class="item-controls">
                            <a class="item-control item-edit" title="Edit Item"><i class="fas fa-edit"></i></a>
                            <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                        </div>
                        {{/if}}
                    </li>
                    {{/each}}
                {{/each}}
                </ol>

                {{#with data.attributes.encumbrance}}
                <div class="encumbrance {{#if encumbered}}encumbered{{/if}}">
                    <span class="encumbrance-bar" style="width:{{pct}}%"></span>
                    <span class="encumbrance-label">{{value}} / {{max}}</span>
                    <div class="encumbrance-breakpoint arrow-up"></div>
                    <div class="encumbrance-breakpoint arrow-down"></div>
                </div>
                {{/with}}
            </div>

            <!-- SPELLBOOK -->
            <div class="tab spellbook" data-group="primary" data-tab="spellbook">
                <div class="form-group spellcasting-ability">
                    <label>Spellcasting Ability</label>
                    <select name="data.attributes.spellcasting.value" data-type="String">
                        {{#select data.attributes.spellcasting.value}}
                        <option value="">None</option>
                        {{#each data.abilities as |abl a|}}
                        <option value="{{a}}">{{abl.label}}</option>
                        {{/each}}
                        {{/select}}
                    </select>
                    <a class="prepared-toggle" title="Toggle Spell Visibility"><i class="fas fa-haykal"></i></a>
                </div>

                <ol class="inventory-list directory-list">
                {{#each actor.spellbook as |section lvl|}}
                    <li class="item flexrow inventory-header spellbook-header">
                        <div class="item-name flexrow">
                            <h3>{{section.label}}</h3>

                            {{#unless section.isCantrip}}
                            <span class="spell-slots">
                                <input type="text" name="data.spells.spell{{lvl}}.value" value="{{section.uses}}" placeholder="0"/>
                            </span>
                            <span class="flex0"> / </span>
                            <span class="spell-max">
                                <input type="text" name="data.spells.spell{{lvl}}.max" value="{{section.slots}}" placeholder="0"/>
                            </span>
                            {{else}}
                            <span class="spell-slots">&infin;</span>
                            <span class="flex0"> / </span>
                            <span class="spell-max">&infin;</span>
                            {{/unless}}
                        </div>

                        <div class="spell-school">School</div>
                        <div class="spell-action">Action</div>

                        {{#if ../owner}}
                        <div class="item-controls">
                            <a class="item-control item-create" title="Create Spell" data-type="spell"
                               data-level="{{lvl}}"><i class="fas fa-plus"></i> Add</a>
                        </div>
                        {{/if}}
                    </li>

                    {{#each section.spells as |item i|}}
                    <li class="item flexrow" data-item-id="{{item.id}}">
                        <div class="item-name flexrow rollable">
                            <div class="item-image" style="background-image: url({{item.img}})"></div>
                            <h4>{{item.name}}</h4>
                        </div>

                        <div class="spell-school">{{item.data.school.str}}</div>
                        <div class="spell-action">{{item.data.time.value}}</div>

                        {{#if ../../owner}}
                        <div class="item-controls" {{#if section.isCantrip}}style="padding-left:22px;"{{/if}}>
                            {{#unless section.isCantrip}}
                                {{#if item.data.prepared.value}}
                                    <a class="item-control item-prepare" title="unprepare Spell"><i class="fas fa-haykal"></i></a>
                                {{else}}
                                    <a class="item-control item-prepare" title="prepare Spell"><i class="fas fa-circle"></i></a>
                                {{/if}}
                            {{/unless}}
                            <a class="item-control item-edit" title="Edit Item"><i class="fas fa-edit"></i></a>
                            <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
                        </div>
                        {{/if}}
                    </li>
                    {{/each}}
                {{else}}
                    <li class="item flexrow inventory-header spellbook-header spellbook-empty">
                        {{#if owner}}
                        <div class="item-controls">
                            <a class="item-control item-create" title="Create Spell" data-type="spell"
                               data-level="{{lvl}}"><i class="fas fa-plus"></i> Add Spell</a>
                        </div>
                        {{/if}}
                    </li>
                {{/each}}
                </ol>
           </div>

            <!-- FEATS -->
            <div class="tab feats" data-group="primary" data-tab="feats">
                <ol class="feats-list inventory-list directory-list">
                    <li class="item flexrow inventory-header">
                        <div class="item-name flexrow">
                            <h3>Ability Name</h3>
                        </div>
                        <div class="ability-req">Requirements</div>

                        {{#if owner}}
                        <div class="item-controls">
                            <a class="item-control item-create" title="Create Ability" data-type="feat" data-featType="passive">
                                <i class="fas fa-plus"></i> Add</a>
                        </div>
                        {{/if}}
                    </li>

                    {{#each actor.feats as |item i|}}
                    <li class="item flexrow" data-item-id="{{item.id}}">
                        <div class="item-name flexrow rollable">
                            <div class="item-image" style="background-image: url({{item.img}})"></div>
                            <h4>{{item.name}}{{#if item.data.uses.max}} <span class="feat-uses">({{item.data.uses.value}} / {{item.data.uses.max}}){{/if}}</span></h4>
                        </div>

                        <div class="ability-req">{{item.data.requirements.value}}</div>

                        {{#if ../owner}}
                        <div class="item-controls">
                            <a class="item-control item-edit" title="Edit Ability"><i class="fas fa-edit"></i></a>
                            <a class="item-control item-delete" title="Delete Ability"><i class="fas fa-trash"></i></a>
                        </div>
                        {{/if}}
                    </li>
                    {{/each}}
                </ol>
            </div>

            <!-- BIOGRAPHY -->
            {{> public/systems/dnd5e/templates/actors/actor-biography.html}}
        </section>
    </section>
</form>
